Denial of service in several Huawei Products



Published: 2021-01-04
Risk Low
Patch available YES
Number of vulnerabilities 1
CVE-ID CVE-2020-1866
CWE-ID CWE-125
Exploitation vector Local network
Public exploit N/A
Vulnerable software
Subscribe
Huawei NIP6800
Server applications / IDS/IPS systems, Firewalls and proxy servers

Huawei S12700
Hardware solutions / Routers for home users

Huawei S5700
Hardware solutions / Routers for home users

Huawei S2700
Hardware solutions / Routers & switches, VoIP, GSM, etc

Huawei S6700
Hardware solutions / Routers & switches, VoIP, GSM, etc

Huawei S7700
Hardware solutions / Routers & switches, VoIP, GSM, etc

Huawei S9700
Hardware solutions / Routers & switches, VoIP, GSM, etc

USG9500
Hardware solutions / Routers & switches, VoIP, GSM, etc

Huawei Secospace USG6600
Server applications / Server solutions for antivurus protection

Vendor Huawei

Security Bulletin

This security bulletin contains one low risk vulnerability.

1) Out-of-bounds read

EUVDB-ID: #VU49225

Risk: Low

CVSSv3.1:

CVE-ID: CVE-2020-1866

CWE-ID: CWE-125 - Out-of-bounds read

Exploit availability: No

Description

The vulnerability allows a remote attacker to perform a denial of service (DoS) attack.

The vulnerability exists due to a boundary condition when parsing certain crafted DHCP messages. A remote attacker on the local network can trigger out-of-bounds read error and cause a denial of service condition on the target system.

Mitigation

Install updates from vendor's website.

Vulnerable software versions

Huawei NIP6800: V500R001C30 - V500R005C00

Huawei S12700: V200R008C00

Huawei S2700: V200R008C00

Huawei S5700: V200R008C00

Huawei S6700: V200R008C00

Huawei S7700: V200R008C00

Huawei S9700: V200R008C00

Huawei Secospace USG6600: V500R001C30SPC200 - V500R005C00

USG9500: V500R001C30SPC300 - V500R005C00


CPE2.3 External links

http://www.huawei.com/en/psirt/security-advisories/huawei-sa-20200122-09-eudemon-en

Q & A

Can this vulnerability be exploited remotely?

How the attacker can exploit this vulnerability?

Is there known malware, which exploits this vulnerability?



###SIDEBAR###